<?php
/**
 * @author Carsten Rose <carsten.rose@math.uzh.ch>
 */
if (!defined('TYPO3_MODE')) {
    die ('Access denied.');
}

if (method_exists(\TYPO3\CMS\Core\Utility\VersionNumberUtility::class, 'getNumericTypo3Version')) {
    // For TYPO3 v10 and later
    $typo3Version = \TYPO3\CMS\Core\Utility\VersionNumberUtility::getNumericTypo3Version();
} else {
    // For TYPO3 v9 and earlier
    $typo3Version = TYPO3_version;
}

$typo3VersionInteger = \TYPO3\CMS\Core\Utility\VersionNumberUtility::convertVersionNumberToInteger($typo3Version);

if ($typo3VersionInteger >= 10000000) {
    // TYPO3 version is 10.0.0 or higher
    $controllerAction = [\IMATHUZH\Qfq\Controller\QfqController::class => 'show'];
    $nonCacheableControllerAction = [\IMATHUZH\Qfq\Controller\QfqController::class => 'show'];
} else {
    // TYPO3 version is lower than 10.0.0
    $controllerAction = array('Qfq' => 'show');
    $nonCacheableControllerAction = array('Qfq' => 'show');
}

\TYPO3\CMS\Extbase\Utility\ExtensionUtility::configurePlugin(
    'qfq',
    'Qfq',
    $controllerAction,
    $nonCacheableControllerAction,
    \TYPO3\CMS\Extbase\Utility\ExtensionUtility::PLUGIN_TYPE_CONTENT_ELEMENT
);

\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPageTSConfig('<INCLUDE_TYPOSCRIPT: source="FILE:EXT:qfq/Configuration/PageTSconfig/PageTSconfig.ts">');

// By default, the 'tt_content' Header will be rendered: Avoid this,cause it's much nicer to use the header in the backend as a description title of what the record does.
$addLine = '
tt_content.qfq_qfq = COA
tt_content.qfq_qfq {
        10 >
}
';
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addTypoScript('qfq', 'setup', '# Setting ' . 'qfq' . $addLine . '', 'defaultContentRendering');
